Using Java 1.5

Discussion in 'Mac Programming' started by yg17, Sep 22, 2005.

  1. yg17 macrumors G5

    yg17

    Joined:
    Aug 1, 2004
    Location:
    St. Louis, MO
    #1
    I'm having a dillema. I absolutley have to use Java 1.5 for my programming class. I don't have a choice as we use 1.5 only things. Yet, even though I installed 1.5 from Apple, everything in the terminal is still 1.4. How do I properly switch to 1.5? Thanks
     
  2. Whyren macrumors 6502a

    Whyren

    Joined:
    Jun 3, 2004
    Location:
    east of the West and west of the East
    #2
    Just ran into this problem last night:

    link

    Hope this helps.
     
  3. jsw Moderator emeritus

    jsw

    Joined:
    Mar 16, 2004
    Location:
    Andover, MA
    #3
    Code:
    cd /usr/bin
    sudo mv java java14
    sudo ln -s /System/Library/Frameworks/JavaVM.framework/Versions/1.5/Commands/java java
    
    You'll need your admin password when you type the sudo commands. You can name the old like whatever you want (I just chose 'java14').

    To undo:

    Code:
    cd /usr/bin
    sudo rm java
    sudo ln -s /System/Library/Frameworks/JavaVM.framework/Commands/java java
    
    Should work fine. Enjoy.
     
  4. jsw Moderator emeritus

    jsw

    Joined:
    Mar 16, 2004
    Location:
    Andover, MA
    #4
    Er, um, or do what the link above suggests. I tend to use the command line as I am hesitant to switch the whole OS over to 1.5, but it's probably a better way to go.
     
  5. yg17 thread starter macrumors G5

    yg17

    Joined:
    Aug 1, 2004
    Location:
    St. Louis, MO
    #5

    Thanks, that worked great :)
     

Share This Page